/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/

var ls_width = $(window).width();
var ls_height = $(window).height();

$(window).resize(function(){
	ls_width = $(window).width();
	ls_height = $(window).height();
});

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//定义用户当前全局参数
var ls_node=null;//当前选中的Node
queryData.FIELD_UNIT_ID_IS_PARENT='A';
var ls_row_index = 0;//当前操作记录序号
var ls_choice_ope = 1;//当前选组织窗口返回值的作用 1：用于批量人员移动 2：用于单位排序 3：用于单位选取
/****/


//加载性别下拉框
var v_sexquery = {};
v_sexquery.FIELD_tableName = "DM_COMMON_SEX";
var v_sexquery_data = standardModel.dataAction.listAllCache(v_sexquery);

//定义grid列表
$('#list').datagrid({
		title:"离职人员库",
	    iconCls:$.getJwWindowPic(),
	    url:'jwAppsUserBaseData_listUserBaseLeave',
	    queryParams : queryData,//查询参数
		rownumbers : false,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : true,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
			  				{
			  					field : 'ck',
			  					checkbox : true
			  				}
			  				       ]],
		columns : [ [
			    {
					field : 'ID_NUMBER',
					title : '人员帐号',
					width : 100,
					align : 'center'
				}, {
					field : 'USER_NAME',
					title : '姓名',
					width : 100,
					align : 'center'
				},{
					field : 'UNIT_NAME',
					title : '部门',
					width : 100,
					align : 'center'
				},{
					field : 'MOBILE',
					title : '手机号',
					align : 'center',
					width : 120
				}, {
					field : 'EMAIL',
					title : '邮箱',
					align : 'center',
					width : 150
				}
				] ],
				toolbar : '#tb',
				onLoadSuccess : function(data) {
				}
});
//删除恢复
function retLeave(){
	var code = "";
	var is_row = $('#list').datagrid('getSelections');
	for(var i=0; i<is_row.length; i++){
		code = code + is_row[i].USER_ID+",";
	}
	if(is_row == null || is_row == ""){
		$.messager.alert('提示',"请选择需恢复的行!");
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定恢复?', function(r) {
		if (r) {
			var v_query = {};
			v_query.FIELD_USER_ID = code;
			var v_result = jwAppUserModel.jwAppsUserActAction.retLeaveUser(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
           }
	});
}